<?php

define('ROOT_DIR', '..');

require_once(ROOT_DIR . '/lib/backend.php');
require_once(ROOT_DIR . '/lib/db.php');

$page_title = 'Rezerwacje - aktualizacja';

include('header.php');

if (! isset($_POST['cID']) || ! isset($_POST['cBooksID']) || ! isset($_POST['cUsersID']) || ! isset($_POST['cBegin']) || ! isset($_POST['cEnd'])) {
    echo "<p>ERROR: Niepoprawne parametry.</p>";
    include('footer.php');
    exit;
}

if (is_numeric($_POST['cID']) && (0 < $_POST['cID'])) {
    $sth = $db->prepare('update tReservations set cBooksID = ?, cUsersID = ?, cBegin = ?, cEnd = ?, cNotReturned = ? where cID = ?');
    $sth->execute(array(
            $_POST['cBooksID'], 
            $_POST['cUsersID'], 
            $_POST['cBegin'], 
            $_POST['cEnd'], 
            $_POST['cNotReturned'], 
            $_POST['cID']));
} else {
    $sth = $db->prepare('insert into tReservations values(null, ?, ?, ?, ?, ?)');
    $sth->execute(array(
            $_POST['cBooksID'], 
            $_POST['cUsersID'], 
            $_POST['cBegin'], 
            $_POST['cEnd'],
            $_POST['cNotReturned']));
}

$sth = $db->prepare('select cTitle from tBooks where cID = ?');
$sth->execute(array($_POST['cBooksID']));
$row = $sth->fetch(PDO::FETCH_ASSOC);
printf('<p>Rezerwacja: "%s - %s: %s" została zapisana.</p>', $_POST['cBegin'], $_POST['cEnd'], $row['cTitle']);
  
include('footer.php');

?>
